webhook_Name, webhook_Endpoint, include_Data_Append, include_DNI_Logs, include_Indicator_Scores, include_IVR_Keypresses, static_Parameter) are DEPRECATED.webhook_name, webhook_endpoint, include_data_append, include_dni_logs, include_indicator_scores, include_ivr_keypresses, static_parameters) instead.endpoint_url with a JSON payload describing the event. Your server should respond with HTTP 200 within 10 seconds.webhook_name (or deprecated webhook_Name) — name for the webhookwebhook_endpoint (or deprecated webhook_Endpoint) — the HTTPS URL that will receive the event payloadformat — response format (JSON, XML, XML_CQM, FORM_DATA)method — HTTP method (GET, POST, PUT, PATCH)description — webhook descriptioninclude_data_append — include data append in payloadinclude_dni_logs — include DNI logs in payloadinclude_indicator_scores — include indicator scores in payloadinclude_ivr_keypresses — include IVR keypresses in payloadwebhook_status — webhook status (active, inactive, deleted)static_parameters — array of static parameters with field_name and field_valuecreated_at and created_by (authenticated user ID) are recorded automatically.curl --location --request POST 'https://platform-api.convirza.com/v3/webhooks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"webhook_name": "Lead Webhook",
"webhook_endpoint": "https://example.com/webhook",
"description": "Sends lead data to CRM system",
"format": "JSON",
"method": "GET",
"include_data_append": true,
"include_dni_logs": false,
"include_indicator_scores": true,
"include_ivr_keypresses": false,
"webhook_status": "active",
"static_parameters": [
{
"field_name": "api_key",
"field_value": "sk_live_1234567890",
"field_Name": "api_key",
"field_Value": "sk_live_1234567890"
}
],
"webhook_Name": "Lead Notification Webhook",
"webhook_Endpoint": "https://api.example.com/webhooks/leads",
"include_Data_Append": false,
"include_DNI_Logs": false,
"include_Indicator_Scores": false,
"include_IVR_Keypresses": false,
"static_Parameter": [
{
"field_name": "api_key",
"field_value": "sk_live_1234567890",
"field_Name": "api_key",
"field_Value": "your-api-key-here"
}
]
}'{
"code": 200,
"message": "Success",
"data": {
"webhookId": 125
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2026-01-20T12:34:56.789Z"
}